var tengo_matas = true;

function spawn_mata()
{
    if(tengo_matas)
    {

    }
    else
    {
        return;   
    }

    console.log('raiz_onclick');
    var prefab = document.querySelector('tower[is_prefab=true]');
    prefab.spawn_2d_px();

    ui.style.setProperty('background-color', 'brown');
    tengo_matas = false;

    setTimeout
    (
        function()
        {
            
            ui.style.setProperty('background-color', 'rgb(255,255,255,0.1)');
            tengo_matas = true;
        }  
        ,
        6000
    );
}